#include "partcache.h"

namespace Msp {
namespace GLtk {

CachedPart::CachedPart():
	texture(0),
	mesh(0)
{ }

CachedPart::~CachedPart()
{
	delete mesh;
}

void CachedPart::clear_mesh()
{
	if(!mesh)
		mesh = new GL::Mesh((GL::TEXCOORD2, GL::COLOR4_UBYTE, GL::VERTEX2));
	else
		mesh->clear();
}

} // namespace GLtk
} // namespace Msp
