#ifndef MSP_GLTK_PARTCACHE_H_
#define MSP_GLTK_PARTCACHE_H_

#include <msp/gl/mesh.h>
#include <msp/gl/texture2d.h>

namespace Msp {
namespace GLtk {

struct CachedPart
{
	const GL::Texture2D *texture;
	GL::Mesh *mesh;

	CachedPart();
	~CachedPart();

	void clear_mesh();
};

} // namespace GLtk
} // namespace Msp

#endif
